Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1039979 - Misleading message is displayed when VM image is locked and user tries to create VM via CLI
Summary: Misleading message is displayed when VM image is locked and user tries to cre...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Michal Skrivanek
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
Depends On:
Blocks: GSS_RHEV_33_BETA rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-12-10 13:02 UTC by Tomas Dosek
Modified: 2015-02-17 08:25 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Bug Fix
Doc Text:
Error message is now more clear in case when VM image is locked and user tries to create a VM via CLI
Clone Of:
Environment:
Last Closed: 2015-02-17 08:25:56 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 23807 None None None Never

Description Tomas Dosek 2013-12-10 13:02:07 UTC
Description of problem:

Misleading message is displayed when VM image is locked and user tries to create VM via CLI.

If user creates a template from CLI and tries to create another one of the same VM immediatelly this message is displayed:

error: 
status: 409
reason: Conflict
detail: Cannot add Template. VM still running, stop the VM and try again.

Version-Release number of selected component (if applicable):
is26

How reproducible:
100 %

Steps to Reproduce:
1. Create a template of VM from CLI
2. Try to create another one immediately


Actual results:
Message "Cannot add Template. VM still running, stop the VM and try again." is displayed to user

Expected results:
Something more generic like "Cannot add Template. VM image is locked." should be displayed as we cannot differentiate where the image lock is coming from.

Additional info:

Comment 1 Michal Skrivanek 2014-01-28 10:06:22 UTC
well, it's just about the message, not really urgent to fix

Comment 2 Michal Skrivanek 2014-01-28 15:17:28 UTC
would "Cannot add Template. VM is locked or still running, try again once VM is in the Down state." be ok?

Comment 3 Tomas Dosek 2014-01-28 15:20:27 UTC
Totally ok with that. :)

Comment 4 Tomas Jelinek 2014-02-05 08:16:20 UTC
merged: 9f527d9c2556a29997a2a66e233d3cccbc19b598

Comment 5 Lukas Svaty 2014-08-12 09:31:57 UTC
verified in ovirt-rc1

Comment 6 Omer Frenkel 2015-02-17 08:25:56 UTC
RHEV-M 3.5.0 has been released


Note You need to log in before you can comment on or make changes to this bug.